CREATE SCHEMA IF NOT EXISTS reservation_public;

SET search_path TO reservation_public;

-- ##################################################################

-- The Relations of the Reservation Database are being created ...

create table PnPSystem(
	name    varchar(30) PRIMARY KEY ,
	url     varchar(300) 
);

create table Reservation(
	date    date PRIMARY KEY,
	hour    numeric(2) not null,
	dm      varchar(20) not null ,
	system  varchar(300) REFERENCES PnPSystem (name)
);

-- ##################################################################

-- "The Rows for the table PnPSystem(name, url) are  being inserted ... "
insert into  PnPSystem values ('Fabula Ultima','https://need.games/wp-content/uploads/2024/06/FU-License-logo.png');
insert into  PnPSystem values ('Splittermond','https://imgs.search.brave.com/UbJRg1Nj8_D0wXB4xQYrqHW3ZFzp4dx_j3l9BK52fX4/rs:fit:500:0:0/g:ce/aHR0cHM6Ly93d3cu/c3BsaXR0ZXJtb25k/LmRlL3dwLWNvbnRl/bnQvdXBsb2Fkcy8y/MDEzLzAyL1NwbGl0/dGVybW9uZC1Mb2dv/X3dlYi5qcGc');
insert into  PnPSystem values ('Shadowrun','https://imgs.search.brave.com/Iff76P5y23Rigavus92l8W7uwfrXYVqsK3zkM7iHIz4/rs:fit:860:0:0/g:ce/aHR0cHM6Ly9hc3Nl/dHMuZm9udHNpbnVz/ZS5jb20vc3RhdGlj/L3VzZS1tZWRpYS1p/dGVtcy8xNjgvMTY3/MzM2L3VwdG8tNzAw/eGF1dG8vNjJjZDYx/OTQvU2hhZG93cnVu/JTIwbG9nbyUyMCh0/aGlyZCUyMGVkaXRp/b24pLnBuZw');
insert into  PnPSystem values ('Private Eye','https://imgs.search.brave.com/uOIbnx5ZXV3Ky1Bxo4uvWi-9JiAK3l2UBvc0OWqlfLA/rs:fit:500:0:0/g:ce/aHR0cHM6Ly93d3cu/cHJpdmF0ZS1leWUu/Y28udWsvZ3JmeC9s/b2dvcy9sb2dvLW5l/dy5wbmc');
insert into  PnPSystem values ('Hexxen 1733','https://rpgnosis.wordpress.com/wp-content/uploads/2020/09/hexxen_logo-600x3231-11.png?w=250');
insert into  PnPSystem values ('Warhammer Fantasy','https://imgs.search.brave.com/Iq3AlDj1ajp1avR_ghY7zPUBU--31wGGppAfP4HC7Jg/rs:fit:860:0:0/g:ce/aHR0cHM6Ly9pbWFn/ZS5wbmdhYWEuY29t/Lzg0MS81OTM4NDEt/bWlkZGxlLnBuZw');

-- ###########################################################################

-- "The Rows for the table Reservation(PN B Y D Pa S) are being inserted ..."
insert into  Reservation values ('2024-06-25',17,'Josh','Hexxen 1733');
insert into  Reservation values ('2024-06-18',16,'Josh','Fabula Ultima');
insert into  Reservation values ('2024-06-23',17,'Sören','Splittermond');
insert into  Reservation values ('2024-06-24',16,'Schweizer','Shadowrun');
insert into  Reservation values ('2024-06-27',17,'Alexandra','Private Eye');
insert into  Reservation values ('2024-06-22',10,'Dosch','Warhammer Fantasy');
insert into  Reservation values ('2024-07-02',17,'Alexandra','Private Eye');
insert into  Reservation values ('2024-07-04',17,'Josh','Fabula Ultima');
insert into  Reservation values ('2024-07-01',17,'Josh','Shadowrun');
-- ###########################################################################

-- "This script gives read rights on all presidential tables to public ..."

grant select on Reservation    to public;
grant select on PnPSystem      to public;

--   ##################################################################

commit;

GRANT USAGE ON SCHEMA reservation_public TO app;
GRANT SELECT ON ALL TABLES IN SCHEMA reservation_public to app;
GRANT INSERT ON ALL TABLES IN SCHEMA reservation_public to app;
-- GRANT DELETE ON PnPSystem IN SCHEMA reservation_public to app;
